<?php
/**
* CSV to Webpage pearlbells's plugin
* @version 1.0
* @author lizeipe - lizeipe@gmail.com
* @link http://pearlbells.co.uk/
* @license GNU/GPL **/
defined('_JEXEC') or die('Restricted access');
?>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script>
<?php
jimport('joomla.plugin.plugin');

$plugin = JPluginHelper::getPlugin('content','pearl_csv_to_webpage');
$pParams = new JRegistry();
$pParams->loadJSON($plugin->params);
$pearl_backgroundColor = $pParams->get('backgroundColor');
$pearl_altbackgroundColor = $pParams->get('altbackgroundColor');
$pearl_fontcolor = $pParams->get('fontcolor');
$pearl_altfontcolor = $pParams->get('altfontcolor');
$pearl_fontsize_tbl = $pParams->get('fontsize_tbl');
$pearl_highlight_color = $pParams->get('highlight_color');
$pearl_highlight_font_color = $pParams->get('highlight_font_color');

class plgContentpearl_csv_to_webpage extends JPlugin
{
	
	public function onContentPrepare($context,&$article, &$params)
	{
		preg_match_all('/\{pearlupload (.*)\}/U',$article->text,$matches);
	
		foreach($matches[1] as $name)
		{
			$uploadPath = JPATH_SITE.DS.'images'.DS.$name;
			$arrdata = plgContentpearl_csv_to_webpage:: ReadExcelFile($uploadPath);
			$html= plgContentpearl_csv_to_webpage::DisplayData($arrdata,$pluginParams);
			$article->text = str_replace("{pearlupload $name}",$html,$article->text);
		}
	}
	function ReadExcelFile($name)
	{
		if (false === $fh = fopen($name, 'rb',$incpath)) 
			{
				JError::raiseWarning(21, 'JFile::read: '.JText::_('Unable to open file') . ": '$name'");
				return false;
			}
			$row =0;
			
			while (($arrdata = fgetcsv($fh, 1000, ",")) !== FALSE) 
			{
				 $arrdata_csv[$row] = $arrdata;
				 $row++;		
				
			}
			return  $arrdata_csv;
	}

	function DisplayData($arrdat,&$params)
	{
		// Get the parameters
		
		$pearl_tbl_padding = $this->params->get("tblpadding");
		$pearl_border_width = $this->params->get("border_width");
		$pearl_border_color = $this->params->get("bordercolor");		
		
		$num = count($arrdat);
		$numinside = count($arrdat[0]);
				
		$html = '<table class="pearl_tblstyle" id="pearl_tbl">';
		
		for($i=0;$i<$num;$i++)
		{
			$html .= '<tr>';
			
			for($j=0;$j<$numinside;$j++)
			{
				$html .= '<td style="border-style:solid; padding:'.$pearl_tbl_padding.';border-width:'.$pearl_border_width.';border-color:'.$pearl_border_color.';"  >'.$arrdat[$i][$j].'</td>';				
			}
			
			$html .= '</tr>';
		}
		
		$html .=  '</table>';
		
		return $html;
	}
	
}
?>
<script type="text/javascript">
$(document).ready(function(){
	
  var pearl_backgroundColor ='<?php echo $pearl_backgroundColor ;?>';
  var pearl_altbackgroundColor ='<?php echo $pearl_altbackgroundColor ;?>';
  var pearl_fontcolor ='<?php echo $pearl_fontcolor ;?>';  
  var pearl_altfontcolor ='<?php echo $pearl_altfontcolor ;?>';
  var pearl_fontsize_tbl ='<?php echo $pearl_fontsize_tbl ;?>';
  var pearl_highlight_color ='<?php echo $pearl_highlight_color ;?>';
  var pearl_highlight_font_color ='<?php echo $pearl_highlight_font_color ;?>';
  
  	 $('.pearl_tblstyle').css({"font-size":pearl_fontcolor});       
	 $('.pearl_tblstyle tr:even').css({
		   "background-color":pearl_backgroundColor,"color":pearl_fontcolor,"cursor":"pointer"});
	 $('.pearl_tblstyle tr:odd').css({
		   "background-color":pearl_altbackgroundColor,"color":pearl_altfontcolor,"cursor":"pointer"});	 
	 $('.pearl_tblstyle tr').hover(
	function(){
		 $(this).css({"background-color":pearl_highlight_color,"color":pearl_highlight_font_color}); //mouseover
	},
	function(){
		 $('.pearl_tblstyle tr:even').css({
		   "background-color":pearl_backgroundColor,"color":pearl_fontcolor});
		 $('.pearl_tblstyle tr:odd').css({
		   "background-color":pearl_altbackgroundColor,"color":pearl_altfontcolor});
	}
);
  
 
});
</script>
