<?php
/**
* @Copyright pearlbells.com
**/
?>
<?php

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.model');
jimport('joomla.filesystem.file');
jimport('joomla.filesystem.folder');

//SENC

class UploadModelupload extends JModel
{
	private $row = array();

	function CheckFileError($fileError)
	{
		
		if ($fileError > 0) 
		{
				switch ($fileError) 
				{
				case 1:
				echo JText::_( 'FILE TO LARGE THAN PHP INI ALLOWS' );
				return false;
		 
				case 2:
				echo JText::_( 'FILE TO LARGE THAN HTML FORM ALLOWS' );
				return false;
		 
				case 3:
				echo JText::_( 'ERROR PARTIAL UPLOAD' );
				return false;
		 
				case 4:
				echo JText::_( 'ERROR NO FILE' );
				return false;
				}
		}
		return true;
	}
	
	function CheckFileVaildation($filename)
	{
		
		//check the file extension is ok
		$fileName = $filename;
		$uploadedFileNameParts = explode('.',$fileName);
		$uploadedFileExtension = array_pop($uploadedFileNameParts);
		
		$row['file_ext'] = $uploadedFileExtension;
		 
		$validFileExts = explode(',', 'csv');
		 
		//assume the extension is false until we know its ok
		$extOk = false;
		 
		//go through every ok extension, if the ok extension matches the file extension (case insensitive)
		//then the file extension is ok
		foreach($validFileExts as $key => $value)
		{
				if( preg_match("/$value/i", $uploadedFileExtension ) )
				{
						$extOk =true;
						return true;
				}
		}
		 
		if ($extOk == false) 
		{
				echo JText::_( 'INVALID EXTENSION' );
				return false;
		}
		
		
	}
	
	function upload()
	{
		
		$fieldName = 'upload';
 
		if(!($fileError = UploadModelupload::CheckFileError($_FILES[$fieldName]['error'])))
		{
			return false;
			
		}				 
		//check for filesize
		$fileSize = $_FILES[$fieldName]['size'];
		if($fileSize > 2000000)
		{
			echo JText::_( 'FILE BIGGER THAN 2MB' );
		}
		
		if(!(UploadModelupload::CheckFileVaildation($_FILES[$fieldName]['name'])))
		{
			return false;
		}
		 
		 
		//the name of the file in PHP's temp directory that we are going to move to our folder
		$fileTemp = $_FILES[$fieldName]['tmp_name'];
			 
		//lose any special characters in the filename
		$fileName = ereg_replace("[^A-Za-z0-9.]", "-", $fileName);
		
		$fileName = $_FILES[$fieldName]['name'];		 
		$uploadPath = JPATH_SITE.DS.'images'.DS.'stories'.DS.$fileName;
		
		UploadModelupload::AddDataToArray($fieldName);	
		
		 if((file_exists($uploadPath)))
		 {	
		   JFile::delete($uploadPath);
		 }
		 if(!JFile::upload($fileTemp, $uploadPath)) 
		{
				echo JText::_( 'ERROR MOVING FILE' );
				return false;
		}
		else
		{
		   // success, exit with code 0 for Mac users, otherwise they receive an IO Error
		  UploadModelupload::ReadExcelFile($uploadPath);
		  return true;
		}		
			
	}
	
	function ReadExcelFile($name)
	{
	     
		$incpath =false;
		if (false === $fh = fopen($name, 'rb',$incpath)) 
		{
			JError::raiseWarning(21, 'JFile::read: '.JText::_('Unable to open file') . ": '$name'");
			return false;
        }
	}
		
	
	
	function StoreFiledetails($data)
	{
		$row =& $this->getTable();

		if (!$row->bind($data)) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		if (!$row->check()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		if (!$row->store()) {
			$this->setError( $row->getErrorMsg() );
			return false;
		}

		return true;
	}
	
	function AddDataToArray($fieldName)
	{
		jimport('joomla.utilities.date');	
		$now = JFactory::getDate();
		$row['upload_date']=$now->toMySQL(); 
	
		$row['file_name'] = $_FILES[$fieldName]['name'];		
		$row['file_size'] = $_FILES[$fieldName]['size'];	
		$row['file_type'] = $_FILES[$fieldName]['type'];
		$row['description'] = 'Descriptions';
		
		$uploadedFileNameParts = explode('.',$_FILES[$fieldName]['name']);
		$uploadedFileExtension = array_pop($uploadedFileNameParts);		
		$row['file_ext'] = $uploadedFileExtension;
		
		$row['published'] = 1;
		$row['hits'] = 1;
		print_r($row);
		
		UploadModelupload::StoreFiledetails($row);
	}


}

