<?php
defined('_JEXEC') or die('Restricted Access');?>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script>
<?php

$plugin =& JPluginHelper::getPlugin('content','pearl_upload');
$params = new JParameter($plugin->params);
	
  // Get parameter values

	$color_bg = $params->get('backgroundColor','#ffffff');
	$altcolor_bg = $params->get('altbackgroundColor','#cccccc');
	$fontcolor_tbl = $params->get('fontcolor','#333333');
	$altfontcolor = $params->get('altfontcolor','#333333');
	$tblpadding = $params->get('tblpadding');
	$fontsize_tbl = $params->get('fontsize_tbl','12px');
	
	$bordercolor = $params->get('bordercolor');
	$borderwidth = $params->get('borderwidth');
	$highlight_color = $params->get('highlight_color');
	$highlight_font_color = $params->get('highlight_font_color');

$mainframe->registerEvent('onPrepareContent','pluginPearlUpload');
function pluginPearlUpload(&$row,&$params)
{
	
	
	preg_match_all('/\{pearlupload (.*)\}/U',$row->text,$matches);
	
	foreach($matches[1] as $name)
	{
	
		$uploadPath = JPATH_SITE.DS.'images'.DS.'stories'.DS.$name;
		$arrdata = ReadExcelFile($uploadPath);
		$html= DisplayData($arrdata,$pluginParams);
		$row->text = str_replace("{pearlupload $name}",$html,$row->text);
	}
}

function ReadExcelFile($name)
{
	if (false === $fh = fopen($name, 'rb',$incpath)) 
		{
			JError::raiseWarning(21, 'JFile::read: '.JText::_('Unable to open file') . ": '$name'");
			return false;
        }
		$row =0;
		
		while (($arrdata = fgetcsv($fh, 1000, ",")) !== FALSE) 
		{
			 $arrdata1[$row] = $arrdata;
			 $row++;		
			
		}
		return  $arrdata1;
}

function DisplayData($arrdat,&$params)
{
	$num = count($arrdat);
    $numinside = count($arrdat[0]);
	
	$html = '<table class="pearl_tblstyle" id="pearl_tbl">';
	
	for($i=0;$i<$num;$i++)
	{
		$html .= '<tr>';
		
		for($j=0;$j<$numinside;$j++)
		{
			$html .= '<td>'.$arrdat[$i][$j].'</td>';
		}
		
		$html .= '</tr>';
	}
	
	$html .=  '</table>';
	
	return $html;
}

?>

<script type="text/javascript">
$(document).ready(function(){
	
    var color_bg ='<?php echo $color_bg?>'; 
	var altcolor_bg ='<?php echo $altcolor_bg?>';
	var fontcolor_tbl ='<?php echo $fontcolor_tbl?>';
	var altfontcolor ='<?php echo $altfontcolor?>';
	var tblpadding ='<?php echo $tblpadding?>';
	var highlight_color ='<?php echo $highlight_color?>';
	var highlight_font_color ='<?php echo $highlight_font_color?>';
	var bordercolor ='<?php echo $bordercolor?>';
	var borderwidth ='<?php echo $borderwidth?>';
	var fontsize_tbl ='<?php echo $fontsize_tbl?>';
	
	 $('.pearl_tblstyle').css({
		   "border-width":borderwidth,
		   "border-style":"solid",
		   "border-color": bordercolor,
		   "font-size":fontsize_tbl
		   
		  });
	
	 $('.pearl_tblstyle tr:even').css({
           "background-color":altcolor_bg,"color":fontcolor_tbl});
	 $('.pearl_tblstyle tr:odd').css({
           "background-color":color_bg,"color":altfontcolor});
     $('.pearl_tblstyle tr td').css({
           "padding":tblpadding});
     $('.pearl_tblstyle tr').hover(
    function(){
         $(this).css({"background-color":highlight_color,"color":highlight_font_color,"cursor":"pointer"}); //mouseover
    },
    function(){
         $('.pearl_tblstyle tr:even').css({
           "background-color":altcolor_bg,"color":fontcolor_tbl});
	     $('.pearl_tblstyle tr:odd').css({
           "background-color":color_bg,"color":altfontcolor});
    }
);
});
</script>